# note: development continued on https://github.com/Yeraze/ytnef
Summary:	C library for decoding application/ms-tnef e-mail attachments
Summary(pl.UTF-8):	Biblioteka C do dekodowania załączników e-maili typu application/ms-tnef
Name:		libytnef
Version:	1.5
Release:	4
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/ytnef/%{name}-%{version}.tar.gz
# Source0-md5:	6c44b955f33cf714c75a7bbe895cc352
Patch0:		%{name}-segv.patch
URL:		http://ytnef.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C library for decoding TNEF streams (application/ms-tnef or
winmail.dat e-mail attachments) generated by Microsoft Outlook.

%description -l pl.UTF-8
Biblioteka C do dekodowania strumieni TNEF (załączników e-maili typu
application/ms-tnef lub o nazwie winmail.dat), generowanych przez
program Microsoft Outlook.

%package devel
Summary:	Header files for libytnef library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libytnef
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libytnef library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libytnef.

%package static
Summary:	Static libytnef library
Summary(pl.UTF-8):	Statyczna biblioteka libytnef
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libytnef library.

%description static -l pl.UTF-8
Statyczna biblioteka libytnef.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libytnef.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libytnef.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libytnef.so
%{_libdir}/libytnef.la
%{_includedir}/mapi.h
%{_includedir}/mapidefs.h
%{_includedir}/mapitags.h
%{_includedir}/tnef-errors.h
%{_includedir}/tnef-types.h
%{_includedir}/ytnef.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libytnef.a
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libytnef.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> e8593c2
- x32 rebuild
- release 4 (by relup.sh)

* Sun Dec 28 2014 Jakub Bogusz <qboosh@pld-linux.org> cf6c80f
- added segv patch (buffer overflow fix from git)
- release 3

* Sun Dec 28 2014 Jakub Bogusz <qboosh@pld-linux.org> c4065d7
- unified sf URL, enhanced descriptions, more verbose include files

* Mon Jun 09 2008 Elan Ruusamäe <glen@pld-linux.org> 2957cf4
- release 2

* Tue Jan 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 0163bd2
- ac version
- removed empty AUTHORS

* Wed Nov 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 9459d6a
- new

